{% extends "base.html" %}

{% block app_content %}
    <table class="table table-hover">
        <tr>
            <td width="256px"><img src="{{ user.avatar(256) }}"></td>
            <td>
                <h1>{{ _('User') }}: {{ user.username }}</h1>
                {% if user.about_me %}<p>{{ user.about_me }}</p>{% endif %}
                {% if user.last_seen %}
                <p>{{ _('Last seen on') }}: {{ moment(user.last_seen).format('LLL') }}</p>
                {% endif %}
                <p>{{ _('%(count)d tickets', count=user.tickets.count()) }}, {{ _('%(count)d tickets active', count=user.tickets.filter_by(deleted=False).count()) }}</p>
                {% if user == current_user %}
                <p><a href="{{ url_for('main.edit_profile') }}">{{ _('Edit your profile') }}</a></p>
                {% elif not current_user.is_following(user) %}
                <p><a href="{{ url_for('main.follow', username=user.username) }}">{{ _('Follow') }}</a></p>
                {% else %}
                <p><a href="{{ url_for('main.unfollow', username=user.username) }}">{{ _('Unfollow') }}</a></p>
                {% endif %}
                {% if user != current_user %}
                <p><a href="{{ url_for('main.send_message', recipient=user.username) }}">{{ _('Send private message') }}</a></p>
                {% endif %}
            </td>
        </tr>
    </table>
    {% for post in posts %}
        {% include '_post.html' %}
    {% endfor %}
    {% if posts %}
        <nav aria-label="...">
            <ul class="pager">
                <li class="previous{% if not prev_url %} disabled{% endif %}">
                    <a href="{{ prev_url or '#' }}">
                        <span aria-hidden="true">&larr;</span> {{ _('Newer tickets') }}
                    </a>
                </li>
                <li class="next{% if not next_url %} disabled{% endif %}">
                    <a href="{{ next_url or '#' }}">
                        {{ _('Older tickets') }} <span aria-hidden="true">&rarr;</span>
                    </a>
                </li>
            </ul>
        </nav>
    {% endif %}
{% endblock %}
